Bug 30983 - GL Screensavers crash system
GL Screensavers crash system
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-07 14:57 EST by Sammy
Modified: 2007-04-18 12:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-07 20:39:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2001-03-07 14:57:33 EST
Using XFree86-4.0.2-11 and rawhide March 5 version of others.

Machines: Dell Dimension XPS T750r, DELL Inspiron 4000

1. Now KDM/KDE work on both machines - rendering fixed!?

2. GL screensavers, both from KDE (kscreensaver) and xscreensaver
   hang the system, everytime (no show)

3. Going to the rpms I built from February 19, 4.0.2 release BOTH
   the rendering and the GL work.
Comment 1 Jeremy Katz 2001-03-07 15:19:32 EST
What video card do you have in the dimension?  For the i4000, the
XFree86-4.0.2-11.4.0 packages enable bus-mastering on X server startup which
gets DRI working happily for the r128.  If the Dimension has a Matrox card, the
same fixes are present I believe and should fix DRI on it.
Comment 2 Sammy 2001-03-07 16:20:17 EST
I have the NVIDIA GeForce 256 card on the Dimension. I am not sure where
the -11.4.0 is. I can switch to NVIDIA drivers and all works fine of course.
Again, GL also works with "nv" driver when I use Feb. 19 CVS tree.

On the r128, GL does not work with -11 but works with my rpm from Feb. 19
CVS tree. DRI is enabled but I have not tested it.

I am not downloading 4.0.2b, will build the new rpms tonight and see what
they do.
Comment 3 Bill Nottingham 2001-03-07 16:22:43 EST
Odd. GL should not crash the system with the 'nv' driver, as that doesn't
even *do* direct rendering.
Comment 4 Sammy 2001-03-07 20:39:50 EST
Probably I was not specific enough....I did not check if the system would
respond to an external connect but essentially the X hangs, mouse
still moves but doesn't respond to clicks and keyboard is dead.
ctrl+alt+backspace and ctrl+alt+del do not respond either. But it
does crash for some reason and it does not crash with the new X
stuff. I built the rpm's with todays cvs again. Tomorrow I can
tell more. Compared to -9 rpms -11 rpms did fix the Xft problem
with kdm/kde (they both crashed with nv and r128).
Comment 5 Mike A. Harris 2001-03-08 05:13:19 EST
The issue with r128 and DRI is fixed in 4.0.2-11.4.0 at:
ftp://people.redhat.com/mharris/xfree86

Nvidia fixes to the "nv" driver will be going in soon also which may
or may not fix issues with nvidia cards.  The proprietary "nvidia" binary
only driver is completely unsupported and will remain so indefinitely.
Please do not file bug reports against XFree86 if you are using non- Red Hat
supplied drivers as I cannot do anything about bugs with external drivers.
Comment 6 Sammy 2001-03-08 09:35:19 EST
None of the stuff I am talking about referred to the propriety 
NVIDIA drivers but the nv driver. I know enough to not to file
their bugs with you guys.

Note You need to log in before you can comment on or make changes to this bug.